# Copyright (c) 2021-present eyeo GmbH
#
# This module is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

---

# yamllint disable rule:line-length
# Defaut list of packages required for Icinga Web 2.
icinga_web_default_packages:
  - "icingaweb2"
  - "icingaweb2-module-monitoring"
  - "icingacli"
  - "php-curl"
  - "php-pgsql"
  - "php-xml"

# Icingaweb2 tables directory for Debian-based systems
icinga_web_default_tables_location:
  "/usr/share/icingaweb2/etc/schema/pgsql.schema.sql"

# php configuration diretory for Debian-based systems
icinga_web_php_default_configuration_directory:
  "/etc/php/{{ icinga_web_php_version }}/{{ icinga_web_php_module_name }}/conf.d"

# Default web server name for Debian
icinga_web_httpd_default_name: "apache2"

# Service name of the web server tool for Debian
icinga_web_httpd_default_service_name: "apache2"

# The system user to run web server tool's processes on Debian-based systems
icinga_web_httpd_default_user: "www-data"
# yamllint enable rule:line-length

# PHP version to use for icinga web
icinga_web_default_php_version:
  "7.4"
